<? session_start();include("header.php");?>
<div id="dhtmltooltip"></div>
<? include("comun/tooltip.php");
$link_impo=con_impo();$link=con_ver();

if(trim($_GET[referencia])!=''){
			 
			$valro = data($link,"select * from referencias_veracruz where referencia like '".urldecode($_GET[referencia])."' and referencia<>''");
			$ref_cliente=$valro[referencia_cliente];
}
	
$ref_cliente = ($_GET[txtreferencia_cliente]!='' ? urldecode($_GET[txtreferencia_cliente]) : $ref_cliente);
    $TERMINALES=mysqli_query($link,"select * from terminales1 order by nombre_terminal");
	while($rc=mysqli_fetch_array($TERMINALES)){
		$abreviatura_terminal[]=$rc[abreviatura_terminal];
		$nombre_terminal[]=$rc[nombre_terminal];
	}

    $ALMACENES=mysqli_query($link,"select * from almacenes order by almacen");
	while($rc=mysqli_fetch_array($ALMACENES)){
		$abreviatura_almacen[]=$rc[abreviatura_almacen];
		$nombre_almacen[]=$rc[almacen];
	}
	
	 $DESDEQ=mysqli_query($link,"select * from DESDE order by DESDE");
	while($rc=mysqli_fetch_array($DESDEQ)){
		$ABREVIATURA_DESDE[]=$rc[ABREVIATURA_DESDE];
		$DESDE[]=$rc[DESDE];
	}
	
	 $HASTAQ=mysqli_query($link,"select * from HASTA order by HASTA");
	while($rc=mysqli_fetch_array($HASTAQ)){
		$ABREVIATURA_HASTA[]=$rc[ABREVIATURA_HASTA];
		$HASTA[]=$rc[HASTA];
	}
	 
?>	
 
<script>
$().ready(function() {
$("#txtpod").autocomplete("lista_de_pol_bkg.php?puerto=veracruz", {
		width: 420,
		matchContains: true,
		selectFirst: false,
		max:150
	});
$("#txtpod").result(function(event, data, formatted) {
		$("#txtpod").val(data[2].replace(',','')+', '+data[1]);
		$("#LOCATION_CODE_POD").val(data[3]);
		//$("#txtpod").val(data[2]);*/
});
$("#txtdestino_final").autocomplete("lista_de_pol_bkg.php?puerto=veracruz", {
		width: 420,
		matchContains: true,
		selectFirst: false,
		max:150
	});
$("#txtdestino_final").result(function(event, data, formatted) {
		$("#txtdestino_final").val(data[2].replace(',','')+', '+data[1]);
		$("#LOCATION_CODE_DESTINO_FINAL").val(data[3]);
});

$("#txtnaviera").autocomplete("lista_navieras_consignatarias.php", {
		width: 420,
		matchContains: true,
		selectFirst: false,
		max:150
	});
$("#txtnaviera").result(function(event, data, formatted) {
		$("#txtnaviera").val(data[1]);
		//$("#txtpod").val(data[2]);*/
});
});

function Guardar() {
	//alert(document.getElementById('mensaje').innerHTML)
		if($('#LOCATION_CODE_DESTINO_FINAL').val()==''){
			alert('Seleccione DESTINO FINAL con autocompletar');
			document.getElementById('txtdestino_final').focus();
			return;
		}
		if($('#LOCATION_CODE_POD').val()==''){
			alert('Seleccione PUERTO DE DESCARGA con autocompletar');
			document.getElementById('txtpod').focus();
			return;
		}
		
		if($('#booking').val()==''){
			alert('Ingrese el booking');
			document.getElementById('booking').focus();
			return;
		}
		
		if($('#txtdestino_final').val()==''){
			alert('Ingrese el destino final');
			document.getElementById('txtdestino_final').focus();
			return;
		}
 
	
	
	var laDatos = valores_forma(document.forma);
		if(confirm('Confirma el registro de este Booking?')) {
		loadin('','saving_bl','Wait');
		$.post( "guarda_booking.php?idusuario=<?=$_SESSION[idusuario]?>",
				$(laDatos),
				function FuncionRecepcion(respuesta) {
					var laRespuesta = eval('(' + respuesta + ')');
					if ( laRespuesta != null ) {
						var laActions = laRespuesta["actions"];
						var liIdx;
						for ( liIdx=0 ; liIdx<laActions.length ; liIdx++ )
							eval( laActions[liIdx] );
					}
				});
		}

}

function buscar_referencia() {
		var laDatos = valores_forma(document.forma);
		
		aa = '<?=$_SESSION[idusuario]?>';
		if(aa==''){
			alert('Se perdio la sesion, se cerrara el sistema');
			document.location='login.php';
			return;
		}
loadin_('','mensaje','Buscando','images/loading.gif');
		$.post( "buscar_referencia.php?idusuario=<?=$_SESSION[idusuario]?>",
				$(laDatos),
				function FuncionRecepcion(respuesta) {
					var laRespuesta = eval('(' + respuesta + ')');
					if ( laRespuesta != null ) {
						var laActions = laRespuesta["actions"];
						var liIdx;
						for ( liIdx=0 ; liIdx<laActions.length ; liIdx++ )
							eval( laActions[liIdx] );
					}
				});

}

function Nuevo(forma) {
	disable_campos(false);
	//limpia_forma();
	$('#menu_editar').hide();
  	$('#menu_guardar').show();
	$('#menu_eliminar').hide();
	$('#menu_cancelar').show();

	//limpia_forma();
	$('#operacion').val('ALTA');
	$('#fecha').val();
	$('#nombre_ejecutivo').val('<?=$_SESSION['user']?>');
	$('#idejecutivo').val('<?=$_SESSION['idusuario']?>');
  }

  function disable_campos(valor) {
	$('#hora').attr('disabled', valor);
	//$('#alias').attr('disabled', valor);
	$('#comentarios').attr('disabled', valor);
  }

 function limpia_forma() {
	$('#hora').val('');
	$('#fecha').val('');
	$('#alias').val('');
	$('#comentarios').attr('checked', false);
	$('#idalias').val('');
  }

function Cancelar(forma){
	limpia_forma(forma);
	disable_campos(true);
	$('#menu_crear').show();
	$('#menu_guardar').hide();
	$('#menu_editar').show();
	$('#menu_eliminar').hide();
}

function Editar(forma) {
    if ( $('#idcita').val() == "" ) {
    	alert("Por favor seleccione la cita a editar.");
    	return;
    } else {
  		disable_campos(false);
  		$('#menu_editar').hide();
  		$('#menu_guardar').show();
		$('#menu_eliminar').show();
		forma.operacion.value = 'CAMBIO';
  	}
}
$(document).ready( function() {
	disable_campos(true);
	$('#menu_guardar').hide();
	$('#menu_eliminar').hide();
	//$('#fecha').datepicker({dateFormat:"dd-mm-yy", yearRange:'-50:+5'});
  });
</script>   
<div align="justify" style="line-height:18px;margin-top:-10px; position:absolute; height:100% ">

<span style="color:#00AF4B">Registro de Consolidado &raquo;</span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;   

<? if($_GET[txtreferencia_cliente]!=''){?>
<a style="color:#00AF4B" onclick="this.href='avisos/index.php?txtreferencia_cliente='+$('#txtreferencia_cliente').val()" >Regresar &raquo;</a>
<? }elseif($_GET[referencia]!=''){?>
<a style="color:#00AF4B" onclick="this.href='avisos/index.php?referencia=<?=urlencode($_GET[referencia])?>'" >Regresar &raquo;</a>
<? } ?>
  <br />
<br />

 
<!--"-->
<form id="forma" name="forma" action="Javascript:Guardar()" >
<input type="hidden" id="operacion" name="operacion" />
<input type="hidden" id="rol" name="rol" value="<?=$_SESSION[rol]?>" />
<table width="921" style="line-height:22px"  >
  <tr>
    <td id="t_nombre3">REFERENCIA PUERTO</td><!--onBlur="if($('#txtreferencia_lpv').val()!=''){buscar_referencia()}" -->
    <td><input type="text"  name="txtreferencia_lpv" id="txtreferencia_lpv" size="40" maxlength="50" value="<?=urldecode($_GET[referencia])?>" onclick="if(this.value=='NO REGISTRO REFERENCIA DE PUERTO'){this.value='';}" onblur="if(this.value==''){this.value='NO REGISTRO REFERENCIA DE PUERTO';}"/></td>
  </tr>
  <tr>
    <td id="t_nombre2">REFERENCIA CLIENTE</td>
    
   
    
    <td><input type="text"  name="txtreferencia_cliente" id="txtreferencia_cliente" size="40" value="<?=$ref_cliente?>"   onBlur="if($('#txtreferencia_cliente').val()!=''){buscar_referencia()}" /> <span id="mensaje" style="color:#F00"></span></td>
  </tr>
  <tr>
    <td>CLIENTE</td> 
    <td>
    
    
     <? $CLIENTES=mysqli_query($link,"select * from clientes order by nombre_cliente");?>
      <select name="txtcliente" id="txtcliente">
        <option value="" <?=($_POST[txtcliente]== '' ? 'selected="selected"' : '')?>></option>
        <? while($rc=mysqli_fetch_array($CLIENTES)){?>
        <option value="<?=$rc[nombre_cliente]?>" <?=($_POST[txtcliente]== $rc[nombre_cliente] ? 'selected="selected"' : '')?>><?=$rc[nombre_cliente]?></option>
      <? } ?>
      </select></td>
  </tr>
   
  <tr>
    <td>BUQUE</td>
    <td><input type="text"   name="txtbuque" id="txtbuque" size="40"  /></td>
  </tr>
  <tr>
    <td>NUM DE VIAJE</td>
    <td><input type="text"  name="txtnum_viaje"  id="txtnum_viaje" size="40"  /></td>
  </tr>
  <tr>
    <td>BANDERA DE BUQUE</td>
    <td><input type="text"  name="txtbandera_de_consolidado" id="txtbandera_de_consolidado" size="40"  /></td>
  </tr>
  <tr>
    <td width="268">BOOKING DE LA LINEA
    </td>
    <td width="641"><input type="text"  name="txtbooking_naviera" id="txtbooking_naviera" size="40"  /></td>
  </tr>
 
  <tr>
    <td width="268"> ETA POL</td>
    <td><input type="text"  name="txtets"  id="txtets" size="40" maxlength="10" onclick="displayCalendar(document.getElementById('txtets'),'yyyy-mm-dd',this)" readonly="readonly"
    ondblclick="this.value=''"/></td>
  </tr>
  <tr>
    <td > CIERRE DOCUMENTACION</td>
    <td ><input type="text"  name="cierre_documentacion"  id="cierre_documentacion" size="40" maxlength="10" onclick="displayCalendar(document.getElementById('cierre_documentacion'),'yyyy-mm-dd',this)" readonly="readonly" ondblclick="this.value=''"/></td>
  </tr>
  <tr>
    <td > CIERRE VGM</td>
    <td ><input type="text"  name="cierre_vgm"  id="cierre_vgm" size="40" maxlength="10" onclick="displayCalendar(document.getElementById('cierre_vgm'),'yyyy-mm-dd',this)" readonly="readonly" ondblclick="this.value=''"/></td>
  </tr>
  <tr>
    <td > CIERRE DEL BUQUE</td>
    <td ><input type="text"  name="cierre_buque"  id="cierre_buque" size="40" maxlength="10" onclick="displayCalendar(document.getElementById('cierre_buque'),'yyyy-mm-dd',this)" readonly="readonly" ondblclick="this.value=''"/></td>
  </tr>
  <tr>
    <td >ATRAQUE</td>
    <td ><input type="text"  name="atraque"  id="atraque" size="40" maxlength="10" onclick="displayCalendar(document.getElementById('atraque'),'yyyy-mm-dd',this)" readonly="readonly" ondblclick="this.value=''"/></td>
  </tr>
  <tr>
    <td >ZARPE</td>
    <td ><input type="text"  name="zarpe"  id="zarpe" size="40" maxlength="10" onclick="displayCalendar(document.getElementById('zarpe'),'yyyy-mm-dd',this)" readonly="readonly" ondblclick="this.value=''"/></td>
  </tr>
  
 
  <tr>
    <td >PUERTO DE DESCARGA</td>
    <td >
    <input type="hidden"  name="LOCATION_CODE_POD"  id="LOCATION_CODE_POD" size="40"  />
    <input type="hidden"  name="LOCATION_CODE_DESTINO_FINAL"  id="LOCATION_CODE_DESTINO_FINAL" size="40"  />
    <input type="text"  name="txtpod"  id="txtpod" size="40" onkeyup="document.getElementById('LOCATION_CODE_POD').value='';"  /></td>
  </tr>
  <tr>
    <td >DESTINO FINAL</td>
    <td ><input type="text"  name="txtdestino_final"  id="txtdestino_final" size="40" onkeyup="document.getElementById('LOCATION_CODE_DESTINO_FINAL').value='';"  /></td>
  </tr>
  <tr>
    <td >NAVIERA</td>
    <td ><input type="text"  name="txtnaviera" id="txtnaviera"  size="40"  /></td>
  </tr>
  <tr>
    <td >LINEA</td>
    <td ><input type="text"  name="txtlinea" id="txtlinea" size="40"  /></td>
  </tr>
  <tr>
    <td >TERMINAL</td>
    <td > 

      <select name="txtalmacen" id="txtalmacen">
        <option value="" <?=($_POST[txtalmacen]== '' ? 'selected="selected"' : '')?>></option>
        <? for($k=0;$k<count($nombre_terminal);$k++){ ?>
        <option value="<?=$abreviatura_terminal[$k]?>" <?=($_POST[txtalmacen]== $abreviatura_terminal[$k] ? 'selected="selected"' : '')?>><?=utf8_encode($nombre_terminal[$k])?></option>
      <? } ?>
      </select>
    </td>
  </tr>
  <tr>
    <td >CONTENEDOR</td>
    <td ><input type="text"  name="txtcontenedor" id="txtcontenedor" size="40"  /></td>
  </tr>
  <tr>
    <td >DIMENSION</td>
    <td ><input type="text"  name="txtdimension" id="txtdimension" size="40"  /></td>
  </tr>
  <tr>
    <td >TIPO</td>
    <td ><input type="text"  name="txttipo" id="txttipo" size="40"  /></td>
  </tr>
  <tr>
    <td >SELLO</td>
    <td ><input type="text"  name="txtsello" id="txtsello" size="40"  /></td>
  </tr>
  <tr>
    <td >FECHA TOMA DE VACIO</td>
    <td ><input type="text"  name="txtsolicitud_vacio" id="txtsolicitud_vacio" size="40"  onClick="displayCalendar(document.getElementById('txtsolicitud_vacio'),'yyyy-mm-dd',this)" readonly onDblClick="this.value=''"/></td>
  </tr>
  <tr>
    <td >FECHA DOCUMENTACION</td>
    <td ><input type="text"  name="txtdocumentado" id="txtdocumentado" size="40" onClick="displayCalendar(document.getElementById('txtdocumentado'),'yyyy-mm-dd',this)" readonly onDblClick="this.value=''" /></td>
  </tr>
  <tr>
    <td >FECHA CONSOLIDACION</td>
    <td ><input type="text"  name="txtprogramado" id="txtprogramado" size="40" onClick="displayCalendar(document.getElementById('txtprogramado'),'yyyy-mm-dd',this)" readonly onDblClick="this.value=''" /></td>
  </tr>
  <tr>
    <td >FECHA LIBERACION</td>
    <td ><input type="text"  name="txtliberado" id="txtliberado" size="40"  onClick="displayCalendar(document.getElementById('txtliberado'),'yyyy-mm-dd',this)" readonly="readonly" onDblClick="this.value=''"/></td>
  </tr>
  <tr>
    <td >CANCELADO</td>
    <td ><select name="txtcancelado" id="txtcancelado" class="aa" style="width:250PX"  >
      <option value="">[Seleccionar]</option>
      <option value="SI" >SI</option>
    
     
    </select></td>
  </tr>
  <tr>
    <td >TARA</td>
    <td ><input type="text"  name="txttara" id="txttara" size="40"  /></td>
  </tr>
  <!--<tr>
    <td ><a class="link" onclick='dhtmlwindow.open("VesselsBox", "iframe", "<?="http://".$_SERVER["SERVER_NAME"]?>/VER/exportaciones/files/puertos/puertos.php", "Search Vessel", 
"width=1100px,height=700px,resize=1,scrolling=1,center=1", "recal")'>AGENTE ADUANAL</a></td>
    <td ><input type="text"  name="txtagente_aduanal" id="txtagente_aduanal" size="40"  /></td>
    <td >&nbsp;</td>
    <td >&nbsp;</td>
    <td >&nbsp;</td>
    <td >&nbsp;</td>
    <td >&nbsp;</td>
    <td >&nbsp;</td>
    <td >&nbsp;</td>
  </tr>-->
  <tr>
    <td >REGIMEN</td>
    <td ><input type="text"  name="txtregimen1" id="txtregimen1" size="2"  />
      <input type="text"  name="txtregimen2" id="txtregimen2" size="2"  />
      <input type="text"  name="txtregimen3" id="txtregimen3" size="2"  />
      <input type="text"  name="txtregimen4" id="txtregimen4" size="2"  /><BR />
      <input type="text"  name="txtregimen5" id="txtregimen5" size="2"  />
      <input type="text"  name="txtregimen6" id="txtregimen6" size="2"  />
      <input type="text"  name="txtregimen7" id="txtregimen7" size="2"  />
      <input type="text"  name="txtregimen8" id="txtregimen8" size="2"  /></td>
    </tr>
  <tr>
    <td colspan="2" ></td>
  </tr>
  <tr>
    <td >TIPO DE MERCANCIA</td>
    <td > 
    <select name="txttipo_mercancia" id="txttipo_mercancia" class="aa" style="width:250PX"  >
      <option value="">[Seleccionar]</option>
      <option value="DC" >DC</option>
      <option value="RF">RF</option>
      <option value="DG">DG</option>
      <option value="OS">OS</option>
    </select>
    </td>
  </tr>
  <tr>
    <td >DESDE</td>
    <td >
   
      <select name="desde" id="desde">
        <option value="" <?=($_POST[desde]== '' ? 'selected="selected"' : '')?>></option>
        <? for($k=0;$k<count($DESDE);$k++){ ?>
        <option value="<?=$ABREVIATURA_DESDE[$k]?>" <?=($_POST[desde]== $ABREVIATURA_DESDE[$k] ? 'selected="selected"' : '')?>><?=utf8_encode($DESDE[$k])?></option>
        <? } ?>
      </select></td>
    </tr>
  <tr>
    <td >HACIA</td>
    <td >
      <select name="hacia" id="hacia">
        <option value="" <?=($_POST[hacia]== '' ? 'selected="selected"' : '')?>></option>
        <? for($k=0;$k<count($HASTA);$k++){ ?>
        <option value="<?=$ABREVIATURA_HASTA[$k]?>" <?=($_POST[hacia]== $ABREVIATURA_HASTA[$k] ? 'selected="selected"' : '')?>><?=utf8_encode($ABREVIATURA_HASTA[$k])?></option>
        <? } ?>
      </select></td>
  </tr>
  <tr>
    <td >PROCEDENCIA DE VACIO</td>
    <td ><input type="text"  name="procedencia_vacio" id="procedencia_vacio" size="40"  /></td>
  </tr>
  <tr>
    <td >ALMACEN DE CONSOLIDACION</td>
    <td > 
         
      <select name="almacen_consolidacion" id="almacen_consolidacion">
        <option value="" <?=($_POST[almacen_consolidacion]== '' ? 'selected="selected"' : '')?>></option>
       <? for($k=0;$k<count($abreviatura_almacen);$k++){ ?>
        <option value="<?=$abreviatura_almacen[$k]?>" <?=($_POST[almacen_consolidacion]== $abreviatura_almacen[$k] ? 'selected="selected"' : '')?>><?=utf8_encode($nombre_almacen[$k])?></option>
      <? } ?>
      </select>
    </td>
  </tr>
  <tr>
    <td >CIERRE DOCUMENTOS AG AD</td>
    <td ><input type="text"  name="cierre_documentos_ag_ad"  id="cierre_documentos_ag_ad" size="40" maxlength="10" onclick="displayCalendar(document.getElementById('cierre_documentos_ag_ad'),'yyyy-mm-dd',this)" readonly="readonly" ondblclick="this.value=''"/></td>
  </tr>
  <tr>
    <td >CIERRE PEDIMENTOS AG AD</td>
    <td ><input type="text"  name="cierre_pedimentos_ag_ad"  id="cierre_pedimentos_ag_ad" size="40" maxlength="10" onclick="displayCalendar(document.getElementById('cierre_pedimentos_ag_ad'),'yyyy-mm-dd',this)" readonly="readonly" ondblclick="this.value=''"/></td>
  </tr>
  <tr>
    <td >FOTOS CONSOLIDADO</td>
    <td ><input type="text"  name="fotos" id="fotos" size="40"  /></td>
  </tr>
  <tr>
    <td colspan="2" >COMENTARIOS</td>
  </tr>
  <tr>
    <td colspan="2" ><label><!--028-HAI-INT-14-->
      <textarea name="txtcomentarios" id="txtcomentarios" cols="45" rows="5"></textarea>
    </label></td>
  </tr>
  <tr>
    <td colspan="2" ><input type="submit" id="submit" value="Guardar"   /></td>
  </tr>
  <tr>
    <td colspan="2" >
   
   <input type="button" class="" value="Agregar partida" onclick="addRow('dataTable');" />
   <input type="button" value="Borrar partida" onclick="deleteRow('dataTable');" />
   <br /> </td>
    </tr>
  <tr>
    <td colspan="2" >&nbsp;</td>
  </tr>
    
    </table>
 
  <div id="divPartidas">
  <? include("partidas_booking.php");?>
  </div>

<br />
</form>
  <? include("pie.php");?>

<script>
if(document.getElementById('txtreferencia_cliente').value!=''){
buscar_referencia()
}
</script>